---
layout: post
title: "March 2012 Progress Report"
permalink: march-2012-progress-report
date: 2012-04-11
author: phobos
category: blog
tags: ["anonymity advocacy", "bridge relays", "improved tor", "metrics", "onionbox", "progress report", "torouter"]
---

Our progress report for March 2012 is now available. Highlights include lots and lots of metrics work, bridge infrastructure work, new tor alpha release, support queue stats, and some press and speaking slots.

Available as a pdf with full color graphs, [https://archive.torproject.org/monthly-report-archive/2012-March-Monthly...](https://archive.torproject.org/monthly-report-archive/2012-March-Monthly-Report.pdf "https://archive.torproject.org/monthly-report-archive/2012-March-Monthly-Report.pdf")

or as a plain text file for portability and readability, [https://archive.torproject.org/monthly-report-archive/2012-March-Monthly...](https://archive.torproject.org/monthly-report-archive/2012-March-Monthly-Report.txt "https://archive.torproject.org/monthly-report-archive/2012-March-Monthly-Report.txt")

